.main {
    display: flex;
    flex-direction: column;
    height: 100vh;
    justify-content: space-between;
    max-width: 100%;
    margin: 0;
    padding: 0;
    width: 100vw;
}


.main form {
    width: 100%;
}

form#publicarchive {
    background-color: var(--color-grey-lightest);
}

.mobile-subheader {
    align-items: flex-start;
    background-color: var(--color-primary);
    display: flex;
    flex-direction: row;
    margin: 0px auto;
    max-width: 100%;
    padding: 0px;
    position: fixed;
    top: 3.5rem;
    z-index: 2;
    width: 100%;
}

@media(min-width: 1024px) {
    .mobile-subheader {
        display: none;
    }
}

.main #globalfooter {
    display: flex;
}

#search {
    align-items: center;
    display: flex;
    height: auto;
    padding-top: 4rem;
    width: 100%;
    margin: 0;
}

@media(min-width: 960px) {
    #search {
        width: 97%;
    }
}

.search-container {
    align-items: start;
    display: grid;
    grid-template-columns: 1fr;
    margin: 0 auto;
    width: 100%;
}

@media (min-width: 1024px) {
    .search-container {
        max-width: 100%;
    }
    
    #search {
        margin: 0 12px 0 -12px;
        width: calc(100% + 24px);
        padding: 22px 12px 0;
        margin-bottom: 51px;
    }
}

.search-input-wrap {
    display: flex;
}

#search-input {
    height: 36px;
    background-color: transparent;
    border: none;
    color: var(--color-white);
    margin: 0;
}
#search-input:active {
    background-color: transparent;
    color: var(--color-white);
}
#search-input:focus-visible {
  outline: var(--color-primary);
}
#search-input::placeholder {
    font-size: 30px;
    line-height: normal;
    color: var(--color-primary-100);
    position: relative;
    top: 4px;
}
#search-input:active::placeholder {
    display: none;
}

.svg-wrap {
    background: var(--color-white);
    border: none;
    border-bottom-right-radius: 3px;
    border-top-right-radius: 3px;
    height: 34px;
    left: -1px;
    position: relative;
    top: 1px;
    width: 40px;
}

.searchterm-header {
    margin: 1rem 0;
    width: 100%;
    display: flex;
    align-items: end;
}

.searchterm-header .searchterm-header__keyword-wrap {
    align-items: center;
    display: flex;
}

.searchterm-header .search-clear-button.svg-wrap {
    display: inline-flex;
    cursor: pointer;
    background: transparent;
    position: static;
    height: auto;
}

.search-clear-button.svg-wrap {
    display: none;
    cursor: pointer;
}

.search-clear-button.svg-wrap svg {
    height: 25px;
    width: 25px;
}

@media(min-width: 768px) {
    .search-clear-button.svg-wrap {
        display: inline-block;
        background-color: transparent;
    }

    #search-input {
        display: block;
    }

}

.search-container[active="active"] .svg-wrap {
    border: 1px solid var(--color-primary);
    height: 36px;
    top: 0;
}

.svg-wrap svg {
    height: 20px;
    right: 17px;
    top: 17px;
    width: 20px;
}

[search-submit] path {
    fill: #f2b2ad;
}

.search-container svg.search {
    cursor: pointer;
    display: block;
}

.search-container button.search-button {
    align-items: center;
    justify-content: center;
    display: flex;
    height: 36px;
    margin: 0 auto;
    width: 36px;
    background-color: transparent;
    padding: 0.25em;
}

@media(min-width: 768px) {
    .search-container button.search-button {
        margin: 0;
        position: static;
    }
}
.searchterm-header {
    font-size: 1.5rem;
    position: relative;
    color: var(--color-grey);
    margin: 1rem 0 1rem 1rem;
    align-self: flex-start;
}

@media(min-width: 1024px) {
    .searchterm-header {
        margin: 1rem 0;
    }
}

.searchterm-header span {
    color: var(--color-primary);
    display: inline-block;
    margin-left: 6px;
}

.content {
    display: grid;
    row-gap: .5rem;
    justify-content: center;
    margin: auto;
    grid-template-columns: 1fr;
    max-width: 100vw;
    padding: 0 0 4rem;

    margin: 0px auto;
    position: relative;
}


@media (min-width: 1024px){
    .content {
        padding: 1rem 0px 4rem var(--desktop-menu-stacked-width);
        max-width: calc(800px + var(--desktop-menu-stacked-width));
        margin-left: 1rem;
        margin-right: 1rem;
    }

    .main {
        height: unset;
    }
}

.content-right {
    align-items: flex-end;
    display: flex;
    flex-direction: column;
    margin-top: 6rem;
}

@media(min-width: 1024px) {
    .content-right {
        margin-top: 0;
    }
}

.add-to-collection-container {
    display: flex;
    width: 100%;
    justify-content: flex-end;
    margin: 0 1rem;
}

[add-to-collection] {
    margin-bottom: 0;
    position: relative;
    margin: 1.55em 0 1.6em;
    border: 2px solid white;
}

[add-to-collection][desktop] {
    display: none;
}

[add-to-collection][mobile] {
    display: block;
    margin: 0 1rem 0 0;
    color: var(--color-white);
    background: transparent;
    border: none;
    padding: 0.7rem;
    font-weight: 900;
    font-size: 14px;
    opacity: 1;
    transition: opacity 0.3s ease 0s;
}

[add-to-collection][mobile][disabled] {
    font-weight: 100;
    opacity: 0.7;
    transition: opacity 0.3s ease 0s;
}

@media(min-width: 1024px) {
    
    .add-to-collection-container {
        align-items: flex-end;
        height: 3rem;
        margin: 0;
    }
    [add-to-collection] {
        margin-bottom: 1.6em;
    }

    [add-to-collection][mobile] {
        display: none;
    }

    [add-to-collection][desktop] {
        display: block;
        margin-top: 0;
        width: 100%;
    }

    #publicarchive .content::before {
        content: "Public Documents";
        position: fixed;
        color: var(--color-grey-fair);
        font-weight: bold;
        font-size: 9rem;
        left: var(--desktop-menu-stacked-width);
        z-index: 0;
    }

    #collections .content::before {
        content: "Private Collections";
        position: fixed;
        color: var(--color-grey-fair);
        font-weight: bold;
        font-size: 9rem;
        left: var(--desktop-menu-stacked-width);
        z-index: -1;
    }
}

.no-results {
    align-items: center;
    display: flex;
    justify-content: center;
    margin: 0 2rem;
    text-align: center;
}

.modal-header {
    display: none;
}

[modal-open="modal-open"] .modal-header {
    background-color: var(--color-grey);
    display: flex;
    justify-content: flex-end;
    padding: 14px 3% 14px 14px;
}

[modal-open="modal-open"] .modal-header .close {
    background: url('/css/close.svg') no-repeat center;
    display: block;
    height: 20px;
    width: 20px;
}

@media(min-width: 960px) {
    [modal-open="modal-open"] .modal-header {
        display: none;
    }
}

label[for="collection-name"] {
    padding-left: 0;
}

.leftnav[modal-open="modal-open"] {
    z-index: 3;
    width: 100%;
    height: 100vh;
    position: fixed;
    bottom: 0;
    background: var(--color-white);
    overflow-y: scroll;
    top: 0;
    left: 0;
    right: 0;
}

.leftnav[modal-open="modal-open"] .filer-title::after {
    display: none;
}

.action-buttons .options {
  filter: invert(1);
}

@media(min-width: 960px) {
    .leftnav[modal-open="modal-open"] {
        position: absolute;
        top: 6rem;
        justify-self: left;
        z-index: 2;
        width: 100%;
        height: 100vh;
    }

    .leftnav[modal-open="modal-open"] .filer-title::after {
        display: block;
    }
}

.action-buttons .options {
    display: none;
}

@media(min-width: 1024px) {
    .action-buttons .options {
        display: none;
    }
      
    .content-right .options.collections-sort {
        display: flex;
    }
}

.leftnav .filters {
    width: 100%;
}

#filter-title {
    display: none;
}


[modal-open="modal-open"] .options {
    width: calc(100% - 40px);
    margin: 20px;
}

[modal-open="modal-open"] .filters {
    margin: 20px;
}

.options {
    display: flex;
    align-items: center;
    position: fixed;
    top: 6rem;
    z-index: 1;
    padding: 0.5rem;
    margin: 0 auto;
    justify-content: flex-end;
    width: 960px;
    max-width: 100%;
    height: 44px;
    right: 0;
}

.options select {
    background: var(--color-grey-lightest);
    cursor: pointer;
    padding: 0.3rem;
    border: none;
    display: inline-block;
    font-family: inherit;
    font-size: inherit;
}

@media(min-width: 1024px) {
    .options {
        top: 0;
        padding-top: 1rem;
        padding-left: var(--desktop-menu-stacked-width);
        width:100%;
        max-width:calc(800px + var(--desktop-menu-stacked-width) - 2rem);
        margin-left:1rem;
        right: unset;
    }
    .options select {
        margin-right:-1rem;
    }
}

.active-tag-filters {
    display: flex;
    gap: 1rem;
    justify-content: space-between;
    width: calc(100% - 2rem);
    margin: 1rem;
    box-sizing: border-box;
    position: relative;
    
    flex-direction: column;
    align-items: flex-start;
}
@media(min-width: 768px) {
    .searchterm-header,
    .active-tag-filters {
        margin: 1rem 0;
        width: 100%;
    }
    .active-tag-filters {
        align-items: flex-end;
        flex-direction: row;
    }
}

[apply-filters-button] {
    margin: 1rem auto;
    position: sticky;
    bottom: 0;
    left: 0;
    right: 0;
    width: fit-content;
}

.active-tag-filters p,
.searchterm-header p {
    color: var(--color-grey);
    font-size: 1rem;
    margin: 0 0 0.4rem;
}

.searchterm-header span,
.active-tag {
    color: var(--color-primary);
    display: inline-block;
    font-size: 1rem;
    font-weight: bold;
}

@media(min-width: 1024px) {
    button[apply-filters-button] {
        position: relative;
        margin-left: 0;
        margin-right: 0;
        width: 100%;
    }

    .active-tag-filters p,
    .searchterm-header p {
        font-size: 2rem;
    }
    .searchterm-header span,
    .active-tag {
        font-size: 1.5rem;
    }
}

.active-tag::after {
    content: "›";
    color: var(--color-primary);
    padding: .5rem;
}

.active-tag:last-of-type:after {
    display: none;
}

.active-tag-filters a {
    align-items: center;
    display: flex;
    justify-content: center;
    letter-spacing: 0.1rem;
    text-decoration: none;
}

@media(min-width: 960px) {
    .leftnav button {
        bottom: 47px;
    }
}

.publication-grid {
    display: grid;
    gap: 1rem;
    grid-auto-rows: 310px;
    grid-template-columns: 1fr;
    justify-content: center;
    width: 100%;
}

@media(min-width: 960px) {
    .publication-grid.search-off {
        padding-top: 0.5rem;
    }

    .publication-grid.search-on {
        padding-top: 0.5rem;
    }
}

.publication-card {
    background: var(--color-white);
    box-sizing: border-box;
    cursor: pointer;
    display: grid;
    grid-template-columns: 1fr 20px;
    height: 310px;
    padding: .8rem .9rem;
    position: relative;
    max-width: 100%;
}

.publication-image-container {
    display: none;
    align-content: center;
    justify-content: center;
}

img {
    max-height: calc(218px - 1.6rem);
}

.publication-info {
    display: grid;
    height: 100%;
    margin: 0 .2rem;
}

.publication-link {
    text-decoration: none;
}

.publication-card p.publication-info__original-title {
    display: block;
    font-weight: 500;
    max-width: 80vw;

    color: var(--color-primary);
    font-size: 1.4rem;
    max-height: 2.2em;
    overflow: hidden;
    text-overflow: ellipsis;
    margin: 0;
    line-height: 1.1;
    text-transform: uppercase;
    letter-spacing: -0.05rem;
    white-space: pre-wrap;
}

.publication-info__last-modified-section {
    margin: .4rem 0;
}

.publication-info__date-created-section,
.publication-info__last-modified-section,
.publication-info__source-url-section {
    flex-direction: column;
    display: flex;
    align-items: flex-start;
    gap: .2rem;
}

.publication-info__date-created-section {
    align-items: center;
    justify-content: space-between;
    padding: 1rem 0;
    border-bottom: 1px solid var(--color-primary);
    max-width: calc(100vw - 4em);
    flex-wrap: wrap;
    min-width: 100%;
}
.publication-info__date-created-section div {
    display: flex;
    align-items: center;
}

.publication-info .label {
    color: var(--color-primary);
    font-size: var(--font-size-small);
    margin-right: 0.3rem;
}

.publication-info .publication-info__source-url-section .label,
.publication-info .publication-info__published-by .label,
.publication-info .publication-info__tags-section .label {
    width: 95px;
}

.publication-info__tags-section .label,
.publication-info__original-title {
    margin-bottom: .3rem;
}

.publication-info__last-modified,
.publication-info__source-url,
.publication-info__date-created,
.publication-info__tag,
.publication-info__published-by-person,
.publication-info__published-by-date,
.publication-info__comment-date,
.publication-info__language,
.publication-info__views-number {
    font-size: var(--font-size-small);
    color: var(--color-black);
    text-overflow: ellipsis;
    display: inline-block;
    white-space: nowrap;
    overflow: hidden;
}

.select-checkbox {
    display: grid;
    align-items: start;
    height: 18px;
    justify-content: center;
    padding: 0;
    position: static;
}

.publication-card p,
.publication-card span {
    white-space: nowrap;
    overflow: hidden;
    max-width: calc(100vw - 15em);
}

@media(min-width: 960px) {
    .publication-info {
        width: calc(100% - 20px - 1.8rem);
    }
    .publication-card p,
    .publication-card span {
        white-space: nowrap;
        overflow: hidden;
        max-width: calc(100vw - 11em);
    }
}

.publication-info__date-created-section,
.publication-info__last-modified-section,
.publication-info__source-url-section,
.publication-info__comment-section,
.publication-info__date,
.publication-info__views {
    display: flex;
    flex-direction: row;
    align-items: center;
}
.publication-info__published-by {
    display: flex;
    align-items: baseline;
    padding: 1rem 0;
}

.publication-info__published-by > div {
    flex-direction: column;
}

.publication-info__source-url-section {
    padding: 1.2rem 0 0;
}

.publication-link {
    display: none;
}

.publication-link-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    text-decoration: none;
}

@media (min-width: 768px){

    .publication-card {
        grid-template-columns: 130px 1fr 20px;
    }

    .publication-link {
        display: grid;
        grid-template-columns: 130px;
    }

    #collections .publication-card {
        grid-template-columns: 130px 1fr 20px;
    }

    .publication-image-container {
        display: grid;
    }

    .publication-info {
        margin: 0 1.3rem 0 2.2rem;
    }

    .publication-info__tags-section {
        display: flex;
    }
    
    .bottom-container__elem {
        position:initial;
    }

    .publication-card p,
    .publication-card span {
        max-width: calc(100vw - 22rem);
    }
}

@media(min-width: 960px) {

    .publication-info__original-title {
        font-size: 1.8rem;
        max-height: 2.4rem;
        line-height: 1.2rem;
    }

    .publication-card p,
    .publication-card span {
        max-width: calc(100vw - 36rem);
    }
}

@media (min-width: 1024px){

    .publication-info__original-title {
        max-height: 4rem;
        line-height: 1.2rem;
    }

    .publication-card p,
    .publication-card span {
        max-width: calc(calc(960px - 21rem - 0.5rem - 130px - 20px - 1.3rem - 2.2rem - 40px));
    }
}

.publication-info__tags-section a::after {
    content: ",";
    margin-right: 3px;
}

.publication-info__tags-section a:last-of-type::after {
    display: none;
}

.publication-info__language {
    color: var(--color-primary);
}

.publication-info__language::after {
    content: ",";
    margin-right: 3px;
}

.publication-info__language:last-of-type::after {
    display: none;
}

.filters {
    width: 100%;
}


